---
layout: mockup
title: "Web - Preferences - Language"
theme: Adwaita/Adwaita.css
permalink: epiphany/preferences/language
wallpaper: adwaita
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/epiphany.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar" title="Preferences">
		<div class="view-switcher hide-on-mobile">
			<a href="{{ site.baseurl}}/epiphany/preferences/general"><div class="icon s16">{%- include symbolic/categories/applications-system-symbolic.svg -%}</div><span>General</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/appearance"><div class="icon s16">{%- include symbolic/categories/applications-graphics-symbolic.svg -%}</div><span>Appearance</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/privacy"><div class="icon s16">{%- include symbolic/apps/preferences-system-privacy-symbolic.svg -%}</div><span>Privacy</span></a>
			<a class="active"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-locale-symbolic.svg -%}</div><span><b>Language</b></span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/sync"><div class="icon s16">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</div><span>Sync</span></a>
		</div>
		<div class="float-right" style="margin-top: -46px;">{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<!-- Languages -->
			<div class="row">
				<h4>Languages</h4>
				<ul class="listrow">
					<li class="medium">
						<div class="label-group">
							<label>Use System Language</label>
							<label class="dim-label small-label">English (US)</label>
						</div>
						{%- include components/switch.html float = "right" checked = "" onclick = "$('.browserLanguageOption').toggleClass('insensitive');" -%}
					</li>
					<li class="browserLanguageOption" id="browserLanguage1" onclick="$('#browserLanguage1 > .icon').toggleClass('hidden');">
						<label>English (CAN)</label>
						<div class="icon s16 float-right">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li class="browserLanguageOption" id="browserLanguage2" onclick="$('#browserLanguage2 > .icon').toggleClass('hidden');">
						<label>French (France)</label>
						<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li class="browserLanguageOption hidden" id="hiddenBrowserLang" onclick="$('#hiddenBrowserLang > .icon').toggleClass('hidden');">
						<label>Italian (Italy)</label>
						<div class="icon s16 float-right hidden">{%- include symbolic/emblems/emblem-ok-symbolic.svg -%}</div>
					</li>
					<li class="text-center" onclick="$('#hiddenBrowserLang').removeClass('hidden');">
						<label class="center">Add other languages&hellip;</label>
					</li>
				</ul>
			</div>
			<!-- Text Encoding -->
			<div class="row">
				<h4>Text Encoding</h4>
				<ul class="listrow">
					<li>
						<label>Use Custom Text Encoding</label>
						{%- include components/switch.html float = "right" checked = "" id = "useCustomEncodingSwitch" onclick = "$('#useCustomEncoding').toggleClass('insensitive');" -%}
					</li>
					<li id="useCustomEncoding" class="insensitive">
						<label>Text Encoding</label>
						<a class="button image-text-button flat float-right">Unicode (UTF-8) {%- include symbolic/actions/pan-down-symbolic.svg -%}</a>
					</li>
				</ul>
			</div>
			<!-- Typing -->
			<div class="row">
				<h4>Typing</h4>
				<ul class="listrow">
					<li>
						<label>Check spelling as you type</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
				</ul>
			</div>
		</div>
	</div>
	<!-- Toolbar -->
	<div class="toolbar bottom show-on-mobile">
		<div class="view-switcher">
			<a href="{{ site.baseurl}}/epiphany/preferences/general"><div class="icon s16">{%- include symbolic/categories/applications-system-symbolic.svg -%}</div><span>General</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/appearance"><div class="icon s16">{%- include symbolic/categories/applications-graphics-symbolic.svg -%}</div><span>Appearance</span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/privacy"><div class="icon s16">{%- include symbolic/apps/preferences-system-privacy-symbolic.svg -%}</div><span>Privacy</span></a>
			<a class="active"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-locale-symbolic.svg -%}</div><span><b>Language</b></span></a>
			<a href="{{ site.baseurl}}/epiphany/preferences/sync"><div class="icon s16">{%- include symbolic/actions/view-refresh-symbolic.svg -%}</div><span>Sync</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
</script>